Skip to main content
POST
Complete warehouse destination setup

Authorizations

Authorization
string
header
required

Path Parameters

projKey
string<string>
required

The project key

envKey
string<string>
required

The environment key

kind
string<string>
required

The destination kind (snowflake-v2, bigquery, clickhouse, redshift, databricks)

Body

application/json
publicKey
string

Response

Completed destination

_id
string

The ID of this Data Export destination

Example:

"610addeadbeefaa86ec9a7d4"

The location and content type of related resources

Example:
name
string

A human-readable name for your Data Export destination

Example:

"example-destination"

kind
enum<string>

The type of Data Export destination

Available options:
google-pubsub,
kinesis,
mparticle,
segment,
azure-event-hubs,
snowflake-v2,
databricks,
bigquery,
redshift
Example:

"google-pubsub"

version
number
Example:

1

config
any

An object with the configuration parameters required for the destination type

Example:

"{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}"

on
boolean

Whether the export is on, that is, the status of the integration

Example:

true

createdAt
integer<int64>

Timestamp of when the Data Export destination was created (as Unix milliseconds since epoch)

Example:

"1628001602644"

maintainerId
string

The ID of the member who maintains this Data Export destination

Example:

"569f183514f4432160000007"

_access
object

Details on the allowed and denied actions for this Data Export destination

completedArtifacts
object

For completed Redshift Data Export destinations, the SQL setup script and S3 staging bucket name rehydrated from the persisted config. Omitted otherwise.